--- title: "Upload glossary" slug: "papago-updateglossaryfile" tags: ["Papago Translation"] updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/papago-updateglossaryfile" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Upload glossary Available in Classic and VPC Upload a term list file to a glossary. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /{glossaryKey}/upload | ### Request headers For information about the headers common to all Papago Translation APIs, see [Papago Translation request headers](/docs/en/ai-naver-papagonmt#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `glossaryKey` | String | Required | Glossary ID - See [Get glossary list](/docs/en/papago-glossarylist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `file` | CSV | Required | Term list file - File in CSV format per language pair (source - translation) - For more information, see [Upload glossary file](https://guide.ncloud-docs.com/docs/en/papagotranslation-use-glossary#%EC%9A%A9%EC%96%B4%EC%A7%91%ED%8C%8C%EC%9D%BC%EC%97%85%EB%A1%9C%EB%93%9C) user guide of NAVER Cloud Platform | ### Request example The request example is as follows: ``` curl --location --request POST 'https://papago.apigw.ntruss.com/glossary/v1/{glossaryKey}/upload' \ --header 'x-ncp-apigw-timestamp: {x-ncp-apigw-timestamp}' \ --header 'x-ncp-iam-access-key: {x-ncp-iam-access-key}' \ --header 'x-ncp-apigw-signature-v2: {x-ncp-apigw-signature-v2}' \ --form 'file=@"{file}"' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | Object | - | Glossary creation details | | `data.glossaryKey` | String | - | Glossary ID | | `data.glossaryName` | String | - | Glossary name | | `data.description` | String | - | Glossary description | | `data.createdDateTime` | Integer | - | Glossary creation date and time(millisecond) - Unix timestamp format | | `data.updatedDateTime` | Integer | - | Glossary last update date and time(millisecond) - Unix timestamp format | | `data.wordCount` | Integer | - | Number of terms in glossary | ### Response status codes For information about the HTTP status codes common to all Papago Translation APIs, see [Papago Translation response status codes](/docs/en/ai-naver-papagonmt#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "data": { "glossaryKey": "{glossaryKey}", "glossaryName": "GlossaryTest1", "description": "This is a description of the GlossaryTest1 glossary.", "createdDateTime": 1724209126000, "updatedDateTime": 1724215159000 } } ```